CVE-2001-1314
CVSS7.5
发布时间 :2001-07-16 00:00:00
修订时间 :2008-09-05 16:26:13
NMCOS    

[原文]Buffer overflows in Critical Path (1) InJoin Directory Server or (2) LiveContent Directory allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code, as demonstrated by the PROTOS LDAPv3 test suite.


[CNNVD]Critical Path InJoin Directory Server LDAP漏洞(CNNVD-200107-093)

        Critical Path (1) InJoin Directory Server或者(2) LiveContent Directory存在缓冲区溢出漏洞。远程攻击者导致服务拒绝(崩溃)并可能执行任意代码,正如PROTOS LDAPv3测试套件。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:critical_path:injoin_directory_server:3.1
cpe:/a:critical_path:livecontent_directory:8a3
cpe:/a:critical_path:injoin_directory_server:2.1
cpe:/a:critical_path:injoin_directory_server:3.0
cpe:/a:critical_path:injoin_directory_server:4.0
cpe:/a:critical_path:injoin_directory_server:2.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1314
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1314
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200107-093
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/JPLA-4ZKLEM
(UNKNOWN)  CONFIRM  http://www.kb.cert.org/vuls/id/JPLA-4ZKLEM
http://www.kb.cert.org/vuls/id/657547
(UNKNOWN)  CERT-VN  VU#657547
http://www.cert.org/advisories/CA-2001-18.html
(VENDOR_ADVISORY)  CERT  CA-2001-18
http://ciac.llnl.gov/ciac/bulletins/l-116.shtml
(VENDOR_ADVISORY)  CIAC  L-116
http://www.securityfocus.com/bid/3124
(VENDOR_ADVISORY)  BID  3124
http://www.ee.oulu.fi/research/ouspg/protos/testing/c06/ldapv3/
(UNKNOWN)  MISC  http://www.ee.oulu.fi/research/ouspg/protos/testing/c06/ldapv3/
http://archives.neohapsis.com/archives/bugtraq/2001-07/0770.html
(UNKNOWN)  BUGTRAQ  20010731 RE: CERT Advisory CA-2001-18, Critical Path directory products ar e vulnerable

- 漏洞信息

Critical Path InJoin Directory Server LDAP漏洞
高危 缓冲区溢出
2001-07-16 00:00:00 2005-10-20 00:00:00
远程  
        Critical Path (1) InJoin Directory Server或者(2) LiveContent Directory存在缓冲区溢出漏洞。远程攻击者导致服务拒绝(崩溃)并可能执行任意代码,正如PROTOS LDAPv3测试套件。

- 公告与补丁

        The vendor has stated that the current maintenance releases for IDS 3.1, IDS 4 and LiveContent 8A3 address this vulnerability. Earlier products are not supported. Those affected by the vulnerability should contact the vendor to obtain the maintenance releases.

- 漏洞信息

14258
Critical Path Multiple Server LDAPv3 Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2001-07-31 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Critical Path InJoin Directory Server LDAP Vulnerabilities
Unknown 3124
Yes No
2001-07-31 12:00:00 2009-07-11 07:56:00
Reported by "Ogle Ron (Rennes)" <OgleR@thmulti.com> on July 31, 2001.

- 受影响的程序版本

Critical Path LiveContent Directory 8A3
Critical Path InJoin Directory Server 4.0
Critical Path InJoin Directory Server 3.1
Critical Path InJoin Directory Server 3.0
Critical Path InJoin Directory Server 2.1
Critical Path InJoin Directory Server 2.0

- 漏洞讨论

The Lightweight Directory Access Protocol (LDAP) is designed to be a lightweight access protocol for directory services supporting X.500 models. It offers a means of searching, fetching and manipulating directory content.

Several potential vulnerabilities have been found to exist in the LDAP implementation used in the Critical Path InJoin Directory server. The problems were discovered using the PROTOS project's LDAPv3 test suite. Several test cases provided by the test suite failed, indicating the possible presence of buffer overflow or format string vulnerabilities.

It may be possible for a remote attacker to exploit one of the problems to execute arbitrary code with the privileges of the InJoin Directory Server. Because the server typically runs with system privileges, this may lead to full system compromise.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

The vendor has stated that the current maintenance releases for IDS 3.1, IDS 4 and LiveContent 8A3 address this vulnerability. Earlier products are not supported. Those affected by the vulnerability should contact the vendor to obtain the maintenance releases.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站